This forum is a discussion about improving the "Content blocking" article. If you'd like to participate, please register.

If you need help with Firefox, please ask a question.

[Fx69] Standard, Strict and Custom options ... and other edits

  • 6 Replies
  • Last reply by AliceWyman
  1. AliceWyman 5147 posts
    Report Abuse

    For the record, here is what I see in Firefox 69:

    Fx69ContentBlocking-Standard

    Fx69ContentBlocking-Standard

    Fx69ContentBlocking-Strict

    Fx69ContentBlocking-Strict

    Fx69ContentBlocking-Custom

    Fx69ContentBlocking-custom
    For the record, here is what I see in Firefox 69: Fx69ContentBlocking-Standard ;[[Image:Fx69ContentBlocking-Standard]] Fx69ContentBlocking-Strict ;[[Image:Fx69ContentBlocking-Strict]] Fx69ContentBlocking-Custom ;[[Image:Fx69ContentBlocking-custom]]
  2. AliceWyman 5147 posts
    Report Abuse
    See also: https://www.mozilla.org/en-US/firefox/69.0/releasenotes/ ... which links to https://blog.mozilla.org/blog/2019/09/03/todays-firefox-blocks-third-party-tracking-cookies-and-cryptomining-by-default/
  3. AliceWyman 5147 posts
    Report Abuse

    I made some edits to the article, since Firefox 69 now blocks cryptominers by default. I also included a new screenshot, Fx69ContentBlocking-Standard for fx69 and updated the intro to include Intro content from the {for not fx69} section, so that the TOC could be restored for fx68.

    Other edits may still be needed so I didn't mark my revision rfl. I looked over the article and I didn't see any other needed edits so I marked my last revision RFL.

    I made some edits to the article, since Firefox 69 now blocks cryptominers by default. I also included a new screenshot, Fx69ContentBlocking-Standard for fx69 and updated the intro to include Intro content from the {for not fx69} section, so that the TOC could be restored for fx68. <s>Other edits may still be needed so I didn't mark my revision rfl.</s> I looked over the article and I didn't see any other needed edits so I marked my last revision RFL.
    Modified by AliceWyman on
  4. Underpass 726 posts
    Report Abuse

    Hello, sorry but I am not understanding the layout of this article.

    Given that we support ESR 60 as the oldest version, a ESR user reading this article will see the same content as a fx66 user. But ESR version doesn't feature any content blocking option.

    IMHO we should insert a "for not fx66" statement at the top saying that the article is for more recent versions.

    Then all the "for not fx68" should become "for fx=66,67".

    Thanks for your attention.

    Hello, sorry but I am not understanding the layout of this article. Given that we support ESR 60 as the oldest version, a ESR user reading this article will see the same content as a fx66 user. But ESR version doesn't feature any content blocking option. IMHO we should insert a "for not fx66" statement at the top saying that the article is for more recent versions. Then all the "for not fx68" should become "for fx=66,67". Thanks for your attention.
  5. AliceWyman 5147 posts
    Report Abuse

    See https://support.mozilla.org/en-US/kb/content-blocking/revision/186948 Revision id: 186948 Created: Sep 4, 2019, 5:56:02 PM Creator: Joni Comment: removed pre-ESR (below 68), more 69 updates Reviewed: Yes Reviewed: Sep 4, 2019, 5:56:52 PM Reviewed by: jsavage Is approved? Yes


    I agree that a note is needed, since this article no longer applies to Firefox 60esr ... and Firefox 60.9.0 esr (released Sept 3, 2019) is still being offered: https://www.mozilla.org/en-US/firefox/all/#product-desktop-esr ... see below

    See https://support.mozilla.org/en-US/kb/content-blocking/revision/186948 Revision id: 186948 Created: Sep 4, 2019, 5:56:02 PM Creator: Joni Comment: removed pre-ESR (below 68), more 69 updates Reviewed: Yes Reviewed: Sep 4, 2019, 5:56:52 PM Reviewed by: jsavage Is approved? Yes ----- I agree that a note is needed, <s>since this article no longer applies to Firefox 60esr ... and Firefox 60.9.0 esr ([https://www.mozilla.org/en-US/firefox/60.9.0/releasenotes/ released Sept 3, 2019]) is still being offered: https://www.mozilla.org/en-US/firefox/all/#product-desktop-esr </s> <sub>... see below</sub>
    Modified by AliceWyman on
  6. AliceWyman 5147 posts
    Report Abuse

    I'm not quite sure what Firefox versions are covered in this article!

    In any case, I have a revision pending to add this note, since the old Tracking Protection article does cover Firefox 64 and earlier versions:

    {for not fx67}{note}Note: This article applies to Firefox version 67 and above.{for not fx65} See this article for previous versions of Firefox.{/for}{/note}{/for}

    I approved the above note and marked it RFL.

    I'm not quite sure what Firefox versions are covered in this article! In any case, I have a revision pending to add this note, since the old Tracking Protection article does cover Firefox 64 and earlier versions: {for not fx67}{note}'''Note''': This article applies to [[Find what version of Firefox you are using|Firefox version]] 67 and above.{for not fx65} See [[What happened to Tracking Protection?|this article]] for previous versions of Firefox.{/for}{/note}{/for} I approved the above note and marked it RFL.
    Modified by AliceWyman on
  7. AliceWyman 5147 posts
    Report Abuse

    By the way, this article never included content for Firefox 60.

    Tracking protection became Content blocking in Firefox 63. The {for not fx63}[[T:update fx desktop]]{/for} template was deleted in the Sept 4, 2019 revision that removed pre-fx68 content, as shown here.

    By the way, this article never included content for Firefox 60. Tracking protection became Content blocking in Firefox 63. The {for not fx63}[[T:update fx desktop]]{/for} template was deleted in the Sept 4, 2019 revision that removed pre-fx68 content, as shown [https://support.mozilla.org/en-US/kb/content-blocking/compare?locale=en-US&to=186948&from=186216 here].